#!/usr/bin/env python2

# look at aeribago_bak.py
# This file needs to be able to parse a remotes file
# use regular experssions to do this

from time import gmtime, strftime
import os, string

# Super mads nfs directory location
super_mads = "/home/waynef/ssec-mads"

down_list = ['%(date)s.PAR', 'AESITTER.SCR', 'RADIANCE.SCR', 'SUMARY.SCR', '%(date)sC1.RNC', '%(date)sC2.RNC','%(date)s.SUM']

def rsync_data( local_directory, remote_computer, remote_directory  ):

    # rsync command
    #ryc = "rsync --partial --compress --progress"
    ryc = "rsync -auv --progress"
   
    # get current day
    date = strftime("%y%m%d", gmtime())

    today_dir = "%s/%s/AE%s" %(super_mads, local_directory, date)

    # remote computer name
    rc = "AERI-UPGRADE1"

    # remote rsync directory
    if remote_directory == '.':
        rsync_d = 'ftp/AE%s' % ( date )
    else:
        rsync_d = '/%s/AE%s' %( remote_directory, date )

    if not os.path.isdir(today_dir):
        print "No directory: %s" % today_dir
        # FIX ME WARNING SSEC-MADS is down or hasn't created the directory
    else:
        # generate rsync command
        #cmd = "%(ryc)s %(rc)s::'%(rsync_d)s/aesitter.scr" % locals()
        cmd = "%(ryc)s %(rc)s::'" % locals()
        for file in down_list:
            file = file % locals()
            cmd = cmd + "%(rsync_d)s/%(file)s " % locals()
        cmd = cmd + "' %(today_dir)s" % locals()    
        print cmd
        os.system(cmd)

# cycle through remotes file
fp = open("/home/dennyh/bin/remotes", 'r')
while 1:
    l = fp.readline()
    if not l: break
    m = string.split(l, ' ')
    local_directory = m[0]
    remote_computer = m[1]
    operational = m[2]
    remote_directory = m[3]
    
    if operational == 'true':
        rsync_data( local_directory, remote_computer, remote_directory)
