#!/usr/bin/env python

"""
$Id: acqeaeri_hax.py,v 1.1.2.3 2008/09/10 19:04:12 dennyh Exp $
Copyright 2008, University of Wisconsin Space Science & Engineering Center

Moves newly created SPC files created by ACQEAERI to correct directory

    This file is part of the AERI ingest software.

    The AERI ingest software is free software; you can redistribute it and/or 
    modify it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA



"""

import os, shutil, win32

class hax:
   def __init__( self, scr_dir, work_dir, fileset ):
      self.s = scr_dir
      self.f = fileset
      self.d = work_dir

   def __call__( self ):
      myhax( self.s, self.f, self.d )

def acqeaeri_file_hax( acqeaeri_exe, work_dir ):
    """ deal with ACQEAERI not writing output files to current working directory (CWD)
    usage: 
    haxfn = acqeaeri_file_hax(Config.ACQEAERI_EXE)
    .. run acqeaeri ..
    haxfn(Config.workDir())
    """
    # find directory name for acqeaeri.exe - this is where files will land instead of CWD
    
    src_directory =  os.path.split( (win32.unix_path(acqeaeri_exe)))[0]
    # use walk() or glob() to get the fileset, set of all current files in the directory
    fileset = []
    for root, dirs, files in os.walk( src_directory ):
       if root == src_directory:
          fileset = files
    return hax( src_directory, work_dir, fileset )

def myhax( src_directory, fileset, work_directory ):
   """ generated function which uses shutil to move files not in files_not_to_move to cwd
   """
   new_fileset = []
   # find the new files and move them to the working directory
   for root, dirs, files in os.walk( src_directory ):
      if root == src_directory:
         new_fileset = files
   for f in fileset:
      new_fileset.remove( f )
   for f in new_fileset:
       src = "%s/%s" % ( src_directory, f )
       dst = "%s/%s" % ( work_directory, f )
       shutil.move( src, dst )  

