#!/usr/bin/env python

"""
$Id: chmap.py,v 1.1.2.1 2008/09/10 19:18:35 dennyh Exp $
Copyright 2008, University of Wisconsin Space Science & Engineering Center

Channel Map reader

    This file is part of the AERI ingest software.

    The AERI ingest software is free software; you can redistribute it and/or 
    modify it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA



"""

import string, re, txt2hkspc

# return list of channel mappings
def read( channel_map ):

   fp = open( channel_map )
   txt = fp.readlines()
   fp.close()
   
   pattern = "^[' ']*([-0-9]+)[' ']+'([a-zA-Z0-9]+)'"
   p = re.compile(pattern, re.IGNORECASE)
   channels = []
   for src in txt:
      m = p.match(src)
      if m:
         channels.append(m.groups())    

   return channels
