from optparse import OptionParser
from Verify import *
import logging
import sys
from os.path import basename

def iamatestfunction(args=['-h']):
    testOpts = OptionParser(prog='%s %s' % (basename(sys.argv[0]), 'iamatestfunction') )
    testOpts.add_option("-f", "--file", dest="file",
                            help="do some stuff, eat lunch, and sleep")
    doc="""This does all kinds of silly things. It eats cake while laughing and
then yells loudly at the old dog eating mustard straight from the jar. The jar
is not empty though the dog tries it's best. Soon the jar breaks due to the dogs
efforts and then he is sad."""
    testOpts.add_option("-F", "--filelist", action="append", dest="files",
                            help=doc)
    
    if not args:
        (options, args) = testOpts.parse_args(['-h'])
    else:
        (options, args) = testOpts.parse_args(args)


def iamatestfunctionto(args):
    testOpts = OptionParser(prog='%s %s' % (basename(sys.argv[0]), 'iamatestfunction') )
    doc=""""""
    testOpts.add_option("-f", "--file", dest="file", help=doc)
    doc="""Welcome internet gamer. Our goal is to bring you the best fantasy and science fiction
     games on the internet. Whether you are just visiting or have signed up for a free membership,
      we think you will be pleased with our library of exclusive games.

Random Thoughts can be so much more than just a gaming site. Visit our Lounge where you can chat
 with our other members, or download free music, artwork and older games from our site. Join our
  community, we alwyas welcome feedback.

Not all of the features on our site are currently working. Most notably, our multiplayer server 
is not up and running. Stay tuned, we are always working to update the site and bring you even more new games!

Thanks again for visiting. And as always, we wish you were here..."""
    testOpts.add_option("-F", "--filelist", action="append", dest="files", help=doc)
    
    if not args:
        (options, args) = testOpts.parse_args(['-h'])
    else:
        (options, args) = testOpts.parse_args(args)

def main():
    doc ="""
    This is the doc string for the application
    """
    
    usage = """usage: cl_opts.py [test] [options]
    
    AVAILABLE TESTS:
            iamatestfunction
            iamatestfunctionto
            changePerms
            printAll
            rwx_perms
            ro_perms
            exists
            textFormat
            toDosTextFormat
            trimFiles
            install
            
    Use -h or --help for individual test options
    """
    
    tests = {
            'iamatestfunction':iamatestfunction,
            'iamatestfunctionto':iamatestfunctionto,
            'changePerms':changePermissions,
            'printAll':printAll,
            'rwx_perms':verifyRWX,
            'ro_perms':verifyRO,
            'exists':verifyExists,
            'textFormat':verifyTextFormat,
            'toDosTextFormat':toDosTextFormat,
            'trimFiles':trimFiles,
            'install':verifyInstall
        }

    if len(sys.argv) > 1 and sys.argv[1] in tests.keys():
        tests[sys.argv[1]](sys.argv[2:])
    else:
        print usage 

if __name__ == '__main__':
    logging.basicConfig()
    main()

