#!/usr/bin/env python
"""
$Id: partool.py,v 1.1 2005/08/25 23:34:09 rayg Exp $
Copyright 2005, University of Wisconsin Space Science & Engineering Center

    This file is part of the AERI ingest software.

    The AERI ingest software is free software; you can redistribute it and/or 
    modify it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""

USAGE = """$Id: partool.py,v 1.1 2005/08/25 23:34:09 rayg Exp $
partool.py split YYMMDD.PAR DIRNAME -- split PAR file into components, place in DIRNAME directory


"""

import os,re,logging

log = logging.getLogger('partool')

RE_PAR = re.compile(r'\@\@\@\@\@ BEGIN SECTION - ([\w\.]+) \@\@\@\@\@\s+(.*?)\@\@\@\@\@',re.DOTALL|re.MULTILINE)

def explode(fn):
    return RE_PAR.findall( file(fn,'rt').read() ) 

def parsplit( args ):
    fnpar, dirname = args
    os.makedirs( dirname )
    all = explode(fnpar)
    for k,txt in all:
        print "writing %d bytes to %s.." % (len(txt),k)
        file(os.path.join(dirname, k), 'wt').write( txt+'\n' )
    


if __name__=='__main__':
    import sys
    argv = sys.argv
    logging.basicConfig()
    log.setLevel(logging.DEBUG)
        
    tests = { 'split': parsplit
              }

    if len(argv) > 1 and argv[1] in tests.keys():
        tests[argv[1]](argv[2:])
    else:
        print USAGE
