#!/usr/bin/env python
"""
see http://peak.telecommunity.com/DevCenter/setuptools

distribution:
python setup.py develop --install-dir=$HOME/Library/Python
python setup.py sdist
rsync -uav dist/aeri*.tar.gz larch:/home/httpd/html/eggs/repos/aeri/

use:
python setup.py install --install-dir=$HOME/Library/Python
easy_install -d $HOME/Library/Python -vi http://larch.ssec.wisc.edu/eggs/repos aeri
"""
import os
from setuptools import setup, Extension
from datetime import datetime

REVISION='0.1'

modules = [ 'acqeaeri_hax', 'Autonomic', 'chmap', 'Command', 'Concentrator', 'Config', 'Eaeri', 
               'Gps', 'Housekeeping', 'Ingest', 'Interferometer', 'Jada', 'MessageServer', 'Mirror', 
               'Science', 'Sequencer', 'Status', 'Tidy', 'Verify', 'Watchdog', '__init__', 'cl_opts', 
               'hatchd', 'logmerge', 'mirscd', 'partool', 'process', 'scr2xml', 'seq_build', 
               'setup', 'sigmove', 'treeParse', 'txt2hkspc', 'win32' ]
               
def most_recent_modification(filelist=modules):
    return max( [datetime.fromtimestamp(os.stat(x+'.py').st_mtime) for x in filelist] ).strftime('%Y%m%d.%H%M')

setup( name="aeri", 
       py_modules = modules,
       version=REVISION + '.' + most_recent_modification(), 
       install_requires=[ 'dmv' ])

print '(cd dist; rsync -uav * larch:/home/httpd/html/eggs/repos/aeri/ )'
        
